/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { CategoryAxisBaseDescription } from "./CategoryAxisBaseDescription";
import { markType } from "./type";
/**
 * @hidden
 */
export let TimeAxisBaseDescription = /*@__PURE__*/ (() => {
    class TimeAxisBaseDescription extends CategoryAxisBaseDescription {
        constructor() {
            super();
            this.d3 = null;
            this.dr = false;
            this.du = new Date();
            this.dt = new Date();
            this.dw = new Date();
            this.dv = new Date();
            this.d2 = null;
            this.d1 = null;
        }
        get_type() {
            return "TimeAxisBase";
        }
        get dateTimeMemberPath() {
            return this.d3;
        }
        set dateTimeMemberPath(a) {
            this.d3 = a;
            this.e("DateTimeMemberPath");
        }
        get isDataPreSorted() {
            return this.dr;
        }
        set isDataPreSorted(a) {
            this.dr = a;
            this.e("IsDataPreSorted");
        }
        get actualMinimumValue() {
            return this.du;
        }
        set actualMinimumValue(a) {
            this.du = a;
            this.e("ActualMinimumValue");
        }
        get actualMaximumValue() {
            return this.dt;
        }
        set actualMaximumValue(a) {
            this.dt = a;
            this.e("ActualMaximumValue");
        }
        get minimumValue() {
            return this.dw;
        }
        set minimumValue(a) {
            this.dw = a;
            this.e("MinimumValue");
        }
        get maximumValue() {
            return this.dv;
        }
        set maximumValue(a) {
            this.dv = a;
            this.e("MaximumValue");
        }
        get actualMinimumValueChangeRef() {
            return this.d2;
        }
        set actualMinimumValueChangeRef(a) {
            this.d2 = a;
            this.e("ActualMinimumValueChangeRef");
        }
        get actualMaximumValueChangeRef() {
            return this.d1;
        }
        set actualMaximumValueChangeRef(a) {
            this.d1 = a;
            this.e("ActualMaximumValueChangeRef");
        }
    }
    TimeAxisBaseDescription.$t = markType(TimeAxisBaseDescription, 'TimeAxisBaseDescription', CategoryAxisBaseDescription.$);
    return TimeAxisBaseDescription;
})();
